#
# spec file for package jpeg2ps (Version 1.9)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         jpeg2ps
License:      distributable
Group:        Productivity/Graphics/Convertors
Autoreqprov:  on
Version:      1.9
Release:      179
Source0:      %{name}-%{version}.tar.bz2
URL:          http://www.pdflib.com/products/more/jpeg2ps.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      JPEG to PostScript Level 2 (or PostScript 3) wrapper

%description
Jpeg2ps is a utility for converting JPEG images to compressed
PostScript Level 2 or 3 files (without uncompressing the images). The
JPEG data is simply "wrapped" with PostScript which yields considerably
smaller PS files.



Authors:
--------
    Thomas Merz <tm@pdflib.com>

%debug_package
%prep
%setup

%build
make CFLAGS="-c -DA4 $RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp jpeg2ps $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
cp jpeg2ps.1 $RPM_BUILD_ROOT/usr/share/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc jpeg2ps.txt
/usr/bin/*
/usr/share/man/*/*

%changelog -n jpeg2ps
* Thu Nov 28 2002 - sbrabec@suse.cz
- Added new package.
